%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name XStatic-Angular-Bootstrap

Name:           python-%{pypi_name}
Version:        2.2.0.0
Release:        1%{?dist}
Provides:        python2-XStatic-Angular-Bootstrap = %{version}-%{release}
Summary:        Angular-Bootstrap (XStatic packaging standard)

License:        MIT
URL:            http://angular-ui.github.io/bootstrap/
Source0:        https://files.pythonhosted.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       python-XStatic
Requires:       xstatic-angular-bootstrap-common
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%description
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.


%package -n xstatic-angular-bootstrap-common
Summary:        %{summary}

BuildRequires:  web-assets-devel
Requires:       web-assets-filesystem

%description -n xstatic-angular-bootstrap-common
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package contains the javascript files.


%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-XStatic
Requires:       xstatic-angular-bootstrap-common

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 3 build of %{pypi_name}.
%endif


%prep
%autosetup -n %{pypi_name}-%{version}

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/angular_bootstrap'|" xstatic/pkg/angular_bootstrap/__init__.py


%build
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} build --executable="%{__python2} -s"
%if 0%{?with_python3}
%py3_build
%endif


%install
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_jsdir}/angular_bootstrap
mv %{buildroot}%{python2_sitelib}/xstatic/pkg/angular_bootstrap/data/angular-bootstrap.js %{buildroot}%{_jsdir}/angular_bootstrap
rmdir %{buildroot}%{python2_sitelib}/xstatic/pkg/angular_bootstrap/data/
# fix execute flags for js
chmod 644 %{buildroot}%{_jsdir}/angular_bootstrap/angular-bootstrap.js

%if 0%{?with_python3}
%py3_install
# Remove static files, already created by the python2 subpkg
rm -rf %{buildroot}%{python3_sitelib}/xstatic/pkg/angular_bootstrap/data
%endif


%files -n python-%{pypi_name}
%doc README.txt
%{python2_sitelib}/xstatic/pkg/angular_bootstrap
%{python2_sitelib}/XStatic_Angular_Bootstrap-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/XStatic_Angular_Bootstrap-%{version}-py%{python2_version}-nspkg.pth

%files -n xstatic-angular-bootstrap-common
%doc README.txt
%{_jsdir}/angular_bootstrap

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.txt
%{python3_sitelib}/xstatic/pkg/angular_bootstrap
%{python3_sitelib}/XStatic_Angular_Bootstrap-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/XStatic_Angular_Bootstrap-%{version}-py%{python3_version}-nspkg.pth
%endif

%changelog
* Mon Feb  6 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 2.2.0.0-1
- Upstream 2.2.0.0

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.11.0.2-6
- Rebuild for Python 3.6

* Sun Sep 11 2016 Jan Beran <jberan@redhat.com> - 0.11.0.2-5
- Provides a Python 3 subpackage

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0.2-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jan 10 2015 Matthias Runge <mrunge@redhat.com> - 0.11.0.2-1
- Initial package (rhbz#1180803)


